"use strict";
this.name = "AnacondaCruiseLiners_conditions";
this.author = "phkb";
this.copyright = "2025 phkb";
this.license = "CC BY-NC-SA 4.0";

//----------------------------------------------------------------------------------------
this.allowSpawnShip = function(shipKey) {
    switch (shipKey) {
        case "cruiseliner_aquarius":
        case "cruiseliner_royalvetititian":
            if (galaxyNumber == 0) return true; 
            break;
        case "cruiseliner_bellatrix":
        case "cruiseliner_teonan":
            if (galaxyNumber == 1) return true; 
            break;
        case "cruiseliner_capricorni":
        case "cruiseliner_ditere":
            if (galaxyNumber == 2) return true; 
            break;
        case "cruiseliner_draconis": 
        case "cruiseliner_biabi":
            if (galaxyNumber == 3) return true; 
            break;
        case "cruiseliner_erebus":
        case "cruiseliner_veedri":
            if (galaxyNumber == 4) return true; 
            break;
        case "cruiseliner_serpentarius": 
        case "cruiseliner_bearrabe":
            if (galaxyNumber == 5) return true; 
            break;
        case "cruiseliner_scorpius": 
        case "cruiseliner_maraus":
            if (galaxyNumber == 6) return true; 
            break;
        case "cruiseliner_octantis":
        case "cruiseliner_anri":
            if (galaxyNumber == 7) return true; 
            break;
        case "cruiseliner_carnivoor": 
        case "cruiseliner_pandoo":
        case "cruiseliner_cunoords":
            // all galaxies
            return true; 
    }
    return false;
}

//----------------------------------------------------------------------------------------
this.allowOfferShip = function(shipKey) {
    // none of these ships should ever be offered for sale
    return false;
}
